<?php
  ///////////////////////////////////////////////////
  //Вернуть книгу
  //2010 (C)
  //Карпухин Павел
  ///////////////////////////////////////////////////
  require_once "../utils/chlang.php";

  $title = $TEXT['book-nal-tit2'];

  require_once "../config_a.php";
  require_once "../utils/functions.php";
  require_once "../utils/top_adm_film.php";

  if($result2['administrator'] == 0) {puterror($result2['skin'],$TEXT['error-loginform2']); require_once "../utils/bottom_adm_film.php"; exit();}

  if(empty($_POST['film_id'])) {puterror($result2['skin'],$TEXT['error-film5']); require_once "../utils/bottom_adm_film.php"; exit();}
  if(strlen($_POST['film_id'])>20) {puterror($result2['skin'],$TEXT['error-film6']); require_once "../utils/bottom_adm_film.php"; exit();}
  $_POST['film_id'] = rep($_POST['film_id']);
  if(empty($_POST['obr_id'])) {puterror($result2['skin'],$TEXT['error-obr5']); require_once "../utils/bottom_adm_film.php"; exit();}
  if(strlen($_POST['obr_id'])>5) {puterror($result2['skin'],$TEXT['error-obr6']); require_once "../utils/bottom_adm_film.php"; exit();}
  $_POST['obr_id'] = rep($_POST['obr_id']);

$query_iskh = "SELECT
film_name,
data_vidachi,
data_sdachi,
user_id
FROM tbl_film
WHERE film_id = '".$_POST['film_id']."' ";
$result_iskh = mysqli_query($dbcnx,$query_iskh);
  if(!$result_iskh) {puterror($result2['skin'],$TEXT['error-tbl3']); require_once "../utils/bottom_adm_film.php"; exit();}
    $result_iskh2 = mysqli_fetch_array($result_iskh);

  //*************************************
  //Информация для лога
  $ip = $_SERVER['REMOTE_ADDR'];
  $doing = $TEXT['log-film5'];
  $what = $result_iskh2['film_name'].", ".$TEXT['log-id']." ".$_POST['film_id'];
  $who = $result2['familiya']." ".$result2['name'];
  //*************************************
  $query = "UPDATE `tbl_film` SET `napominalka`='0', `data_vidachi`='1970-01-01', `data_sdachi`='1970-01-01',`user_id`='0', `vidano`='0' WHERE `film_id`='".$_POST['film_id']."' ";
  if(mysqli_query($dbcnx,$query))
  {
      $queryst = "INSERT INTO tbl_statistik ( `stat_id` , `film_id` , `user_id` , `data_vidachi` , `data_sdachi` , `r_data_sdachi`, `obr_id`, `film_id` )
                  VALUES ( NULL, '".$_POST['film_id']."', '".$result_iskh2['user_id']."', '".$result_iskh2['data_vidachi']."', '".$result_iskh2['data_sdachi']."', CURRENT_DATE(), '".$_POST['obr_id']."', 0)";
        if(mysqli_query($dbcnx,$queryst))
           {
             $query2 = "INSERT INTO tbl_logs ( `log_id` , `data` , `ip` , `who` , `doing` , `what` ) VALUES ( NULL , NOW() , '$ip' , '$who' , '$doing' , '$what')";
             if(mysqli_query($dbcnx,$query2))
              {
                echo "<html><head>
                <meta HTTP-EQUIV='Refresh' CONTENT='0; URL=info.php?film_id=".$_POST['film_id']."' />
                </head></html>";
              } else {puterror($result2['skin'],$TEXT['error-log']); require_once "../utils/bottom_adm_film.php"; exit();}
           } else {puterror($result2['skin'],$TEXT['error-tbl4']); require_once "../utils/bottom_adm_film.php"; exit();}
  } else {puterror($result2['skin'],$TEXT['error-tbl3']); require_once "../utils/bottom_adm_film.php"; exit();}
require_once "../utils/bottom_adm_film.php";
?>